On Wed, Aug 9, 2017 at 9:32 PM, mcatanz...@gnome.org wrote:
On Wed, Aug 9, 2017 at 6:49 PM, Robert Ancell <robert.anc...@gmail.com> wrote:
Can you attach your two versions of the .vapi? On Ubuntu 17.10 they are almost identical and would compile against either one.


Attached.

Now, here is a diff from the bad PackageKitGlib-1.0.gir in my 3.25.90 build to Rico's good gir: https://paste.gnome.org/pmdfo1n2i/laa4ak/raw. Lots of differences there, all related to enums. glib-mkenums has seen a lot of churn recently, so glib is what I'll be looking at next.

Unfortunately I don't see anything wrong with the generated enums files. It turned out those are actually distributed in the PackageKit tarball, which was briefly a subject of suspicion since there are no problems when building from git, but I don't see anything wrong with them.

Since this seems to be a major problem we do need to figure it out now instead of proceeding with the release and expecting distros to build a broken result. But I am stumped. Help welcome from anyone interested in this problem.

Michael

_______________________________________________
desktop-devel-list mailing list
desktop-devel-list@gnome.org
https://mail.gnome.org/mailman/listinfo/desktop-devel-list

Reply via email to